Vue.mixin({
  data:{
    agentId:'',
    apiKey:'',
    apiDomain:'',
    weizhiAdKey:'',
    weizhiDomain:'',
    userMobile:'',
    signature:null,
    loadingLabel:null,
    loadingLabelId:0,
    noLoadingLabel:false,
    loaded:false,
    busy:false,
  },
  methods:{
    hello:function(){
      console.log('hello');
    },
    urlParams:function(){
      var array = {};
			var search = location.href.split('?')[1];
			if(search != undefined){
				search = search.split('#')[0];
				search = search.split('&');
				_.each(search,function(v){
					var o = v.split('=');
					array[o[0]]=o[1];
				});
			}
			return array
    },
    checkHttpCode:function(ret,success,fail){
      if(ret.code=='000000'){
        if(success)success(ret)
      }else{
        api.toast({msg:ret.msg});
        if(fail)fail(ret)
      }
    },
    pullRefreshDone:function(){

    },
    setPullRefresh:function(callBack){

    },
    setUserMobile:function(mobile){
      this.userMobile = mobile;
    },
    getAppInfo:function(fun){
      var _t = this;
      if(APPINFO){
        _t.agentId = APPINFO.agentId;
        _t.apiKey = APPINFO.apiKey;
        _t.apiDomain = APPINFO.apiDomain;
        _t.weizhiAdKey = APPINFO.weizhiAdKey;
        _t.weizhiDomain = APPINFO.weizhiDomain;
        if(fun)fun(APPINFO);
      }
    },
    md5:function(str){
      return md5(str);
    },
    getToken:function(obj,time,apiKey){
      var token = '';
      var key = [];
      var value = [];
      _.each(obj,function(v,k){
        key.push(k);
        value.push(v);
      });
      key.sort();
      //key.reverse();
      _.each(key,function(v,k){token += v+'='+obj[v]+'&';});
      token = token.substring(0,token.length-1)+time+apiKey;
      return token
    },
    showLoading:function(){
      var _t = this;
      this.isShowLoadingBar = true;
    },
    hideLoading:function(){
      var _t = this;
      this.isShowLoadingBar = false;
    },
    toUnicode:function(s){
      return s.replace(/([\u4E00-\u9FA5]|[\uFE30-\uFFA0])/g,function(newStr){
        return "\\u" + newStr.charCodeAt(0).toString(16);
　　　　　　});
    },
    setLocalStorage:function(key,value){
      if(window.localStorage){
        window.localStorage[key] = value;
      }
    },
    getLocalStorage:function(key,fun){
      if(window.localStorage){
        var value = window.localStorage[key] || '';
        if(fun)fun(value)
      }
    },
    rmLocalStorage:function(key){
      if(window.localStorage){
        localStorage.removeItem(key);
      }
    },
    loadXml:function(str) {
      if(document.all){
        　　var xmlDom=new ActiveXObject("Microsoft.XMLDOM");
        　　xmlDom.loadXML(str);
        　　return xmlDom;
    　　}
    　　else
    　　return new DOMParser().parseFromString(str, "text/xml");
    },
    xmlToJson:function(xml) {
        var _t = this;
        // Create the return object
        var obj = {};

        if (xml.nodeType == 1) { // element
        // do attributes
        if (xml.attributes.length > 0) {
        obj["@attributes"] = {};
        for (var j = 0; j < xml.attributes.length; j++) {
        var attribute = xml.attributes.item(j);
        obj["@attributes"][attribute.nodeName] = attribute.nodeValue;
        }
        }
        } else if (xml.nodeType == 3) { // text
        obj = xml.nodeValue;
        }

        // do children
        if (xml.hasChildNodes()) {
        for (var i = 0; i < xml.childNodes.length; i++) {
        var item = xml.childNodes.item(i);
        var nodeName = item.nodeName;
        if (typeof (obj[nodeName]) == "undefined") {
        obj[nodeName] = _t.xmlToJson(item);
        } else {
        if (typeof (obj[nodeName].length) == "undefined") {
        var old = obj[nodeName];
        obj[nodeName] = [];
        obj[nodeName].push(old);
        }
        obj[nodeName].push(_t.xmlToJson(item));
        }
        }
        }
        return obj;
    },
  }
})
